CapyDB Docs
ReferenceAPI

Cutovers

Operator-assisted preview-to-production cutovers.

GET
/v1/projects/{projectID}/cutover-requests

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/cutover-requests"
{  "cutover_requests": [    {      "ack_at": "2019-08-24T14:15:22Z",      "ack_by_user_id": "string",      "completed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "customer_note": "string",      "external_ticket_ref": "string",      "id": "string",      "operator_note": "string",      "organization_id": "string",      "pre_cutover_backup_id": "string",      "preview_database_id": "string",      "project_id": "string",      "promote_job_id": "string",      "rejected_reason": "string",      "requested_by_actor_id": "string",      "requested_by_actor_kind": "string",      "status": "open",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
POST
/v1/projects/{projectID}/cutover-requests

Authorization

AuthorizationBearer <token>

Org or project-scoped API key, format capy_live_...; Clerk session tokens also accepted.

In: header

Path Parameters

projectID*string

Project id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/cutover-requests" \  -H "Content-Type: application/json" \  -d '{    "preview_id": "string"  }'
{  "cutover_request": {    "ack_at": "2019-08-24T14:15:22Z",    "ack_by_user_id": "string",    "completed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "customer_note": "string",    "external_ticket_ref": "string",    "id": "string",    "operator_note": "string",    "organization_id": "string",    "pre_cutover_backup_id": "string",    "preview_database_id": "string",    "project_id": "string",    "promote_job_id": "string",    "rejected_reason": "string",    "requested_by_actor_id": "string",    "requested_by_actor_kind": "string",    "status": "open",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}